Available Methods
-
CreateQRData - The method returns a QR including the received information and a new card number linked to the input reference with every request.
-
DeactiveateQR - Deactivate a card.
CreateQRData
The method returns a QR including the received information and a new card number linked to the input reference with every request.
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | string | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| merchantCategoryCode | string | 1–4 characters | ✓ | Mastercard defined merchant category code |
| merchantName | string | 40 characters | ✓ | Business name of the merchant |
| merchantCity | string | 25 characters | ✓ | City of the merchant |
| countryCode | string | 3 characters | ✓ | ISO alpha country code of the recipient/merchant. For example, ZAF. |
| reference | string | 1–255 characters | ✓ | The user-defined reference to the card; for example, a member ID or wallet number |
| transactionID | string | 1–40 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | date | Client-generated/local transaction date to assist in identifying transactions on the client side | ||
| optionalData | string | Struct with optional fields. Only the postalCode field is currently accepted. The maximum length of postalCode is 10. | ||
| checksum | string | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key |
<methodCall>
<methodName>CreateQRData</methodName>
<params>
<param>
<value>
<string>0012546711</string>
</value>
</param>
<param>
<value>
<string>5111</string>
</value>
</param>
<param>
<value>
<string>Main choc Supplies</string>
</value>
</param>
<param>
<value>
<string>Bangkok</string>
</value>
</param>
<param>
<value>
<string>THA</string>
</value>
</param>
<param>
<value>
<string>tst-ref-01</string>
</value>
</param>
<param>
<value>
<string>tst-txid-01</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20180307T13:01:30+0000</dateTime.iso8601>
</value>
</param>
<param>
<value>
<struct/>
</value>
</param>
<param>
<value>
<string>D11B110F10EF0328FAB11113EC1F94402415C991</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | Type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
| qrCodeString | String | QR code generated for the merchant |
| qrCodeImage | String | Base64 string of QR code image generated for the merchant |
| cardNumber | String | The first 15 digits of the card number |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<double>1</double>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<double>1234563265844581</double>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>qrCodeImage</name>
<value>
<string>[BINARY IMAGE]</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>DeactivateQR
Deactivate a card.
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| cardNumber | String | 16 characters | ✓ | The full 16-digit card number |
| transactionID | String | 1–40 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | Client-generated/local transaction date to assist in identifying transactions on the client side | ||
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key |
<methodCall>
<methodName>DeactivateQR</methodName>
<params>
<param>
<value>
<string>0011122411</string>
</value>
</param>
<param>
<value>
<string>AFAAFFK121</string>
</value>
</param>
<param>
<value>
<string>11111111</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20180328T12:02:09+0200</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>BCF11A9E1111FFC203301333C6008CE61BCD2E91</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | Type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<double>1</double>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>